## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate onig_sys

Name:           rust-onig_sys
Version:        69.8.1
Release:        %autorelease
Summary:        Rust bindings for oniguruma

License:        MIT
URL:            https://crates.io/crates/onig_sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump bindgen build-dependency from 0.59 to 0.63
# * remove reference to readme file that is not included in published crates
Patch:          onig_sys-fix-metadata.diff
# * unconditionally use bindgen and dynamic linking with pkg-config
Patch1:         0001-Unconditionally-use-bindgen-and-dynamic-linking-with.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(oniguruma) >= 6.8.0

%global _description %{expand:
The `onig_sys` crate contains raw rust bindings to the oniguruma
library. This crate exposes a set of unsafe functions which can then be
used by other crates to create safe wrappers around Oniguruma. You
probably don't want to link to this crate directly; instead check out
the `onig` crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(oniguruma) >= 6.8.0

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-devel %{_description}

This package contains library source intended for building other packages which
use the "generate" feature of the "%{crate}" crate.

%files       -n %{name}+generate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+posix-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-api-devel %{_description}

This package contains library source intended for building other packages which
use the "posix-api" feature of the "%{crate}" crate.

%files       -n %{name}+posix-api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+print-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-debug-devel %{_description}

This package contains library source intended for building other packages which
use the "print-debug" feature of the "%{crate}" crate.

%files       -n %{name}+print-debug-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove bundled oniguruma sources
rm -r oniguruma/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Sep 14 2024 Fabio Valentini <decathorpe@gmail.com> - 69.8.1-7
- Remove reference to readme file that is not included in published crates

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 69.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 69.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 69.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 12 2023 Fabio Valentini <decathorpe@gmail.com> - 69.8.1-3
- Bump bindgen from 0.59 to 0.63 to fix builds with clang 16+

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 69.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> - 69.8.1-1
- Update to version 69.8.1; Fixes RHBZ#2116720

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 69.8.0-1
- Update to version 69.8.0; Fixes RHBZ#2103341

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 69.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 69.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 69.7.1-1
- Update to 69.7.1 Close: rhbz#1970059

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 69.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 20:46:59 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 69.6.0-3
- Bump bindgen to 0.57

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 69.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 69.6.0-1
- Update to version 69.6.0.

* Wed Sep 23 2020 Fabio Valentini <decathorpe@gmail.com> - 69.5.1-1
- Update to version 69.5.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 69.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 2020 Josh Stone <jistone@redhat.com> - 69.5.0-3
- Bump to bindgen 0.54.

* Sat May 23 22:37:42 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 69.5.0-2
- Always require bindgen

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 69.2.0-4
- Bump bindgen to 0.53.

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 69.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 69.2.0-2
- Bump bindgen to 0.52.

* Thu Sep 05 05:30:43 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.2.0-1
- Update to 69.2.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 69.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 23 00:12:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.1.0-3
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 69.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.1.0-1
- Update to 69.1.0

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 69.0.0-1
- Update to 69.0.0

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.1-1
- Update to 68.2.1

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 68.2.0-1
- Initial package

## END: Generated by rpmautospec
